package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(sys_music_compare_week_data):
 */
public class SysMusicCompareWeekData extends BaseEntity {

	/** 用户编号 */
	private Integer userId;
	
	/** 周一日期 */
	private java.util.Date monday;
	
	/** 训练次数 */
	private Integer trainNum;
	
	/** 本周训练天数 */
	private Integer trainDays;
	
	/** 本周训练时长 */
	private Float trainTime;
	
	/** 本周入门级最高分 */
	private Integer beginnerMaxScore;
	private Integer beginnerMaxScoreId;

	/** 本周进阶级最高分 */
	private Integer advancedMaxScore;
	private Integer advancedMaxScoreId;

	/** 本周大师级最高分 */
	private Integer performerMaxScore;
	private Integer performerMaxScoreId;

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setMonday(java.util.Date monday){
		this.monday = monday;
	}
	
	public java.util.Date getMonday(){
		return this.monday;
	}
			
	public void setTrainNum(Integer trainNum){
		this.trainNum = trainNum;
	}
	
	public Integer getTrainNum(){
		return this.trainNum;
	}
			
	public void setTrainDays(Integer trainDays){
		this.trainDays = trainDays;
	}
	
	public Integer getTrainDays(){
		return this.trainDays;
	}

	public Float getTrainTime() {
		return trainTime;
	}

	public void setTrainTime(Float trainTime) {
		this.trainTime = trainTime;
	}

	public void setBeginnerMaxScore(Integer beginnerMaxScore){
		this.beginnerMaxScore = beginnerMaxScore;
	}
	
	public Integer getBeginnerMaxScore(){
		return this.beginnerMaxScore;
	}
			
	public void setAdvancedMaxScore(Integer advancedMaxScore){
		this.advancedMaxScore = advancedMaxScore;
	}
	
	public Integer getAdvancedMaxScore(){
		return this.advancedMaxScore;
	}
			
	public void setPerformerMaxScore(Integer performerMaxScore){
		this.performerMaxScore = performerMaxScore;
	}
	
	public Integer getPerformerMaxScore(){
		return this.performerMaxScore;
	}

	public Integer getBeginnerMaxScoreId() {
		return beginnerMaxScoreId;
	}

	public void setBeginnerMaxScoreId(Integer beginnerMaxScoreId) {
		this.beginnerMaxScoreId = beginnerMaxScoreId;
	}

	public Integer getAdvancedMaxScoreId() {
		return advancedMaxScoreId;
	}

	public void setAdvancedMaxScoreId(Integer advancedMaxScoreId) {
		this.advancedMaxScoreId = advancedMaxScoreId;
	}

	public Integer getPerformerMaxScoreId() {
		return performerMaxScoreId;
	}

	public void setPerformerMaxScoreId(Integer performerMaxScoreId) {
		this.performerMaxScoreId = performerMaxScoreId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
